トップページ | 過去記事(月別カテゴリー別) | 掲示板 | 野良DEB,RPM | 更新チェック | Twitter
<<  2012.4  >>
SMTWTFS
1234567
891011121314
15161718192021
22232425262728
2930     
 
リンク
その他
  • RSS2.0
  • Credit

  • SEO
    loading

    プライバシーポリシー
    Google

カテゴリー » Linux » Ubuntu April 30, 2012

linuxBean - 無印XP世代向けの軽量・高速ディストリビューション Ubuntu

デスクトップにLXDEを採用した軽いディストリビューションだそうな。
linuxBeanは、ubuntu 12.04 LTSのminimal install版をベースにした、
無印XP世代向けの軽量・高速ディストリビューションです。
この手の派生品は、サポート期間が終了した時、新しいバージョンへアップグレードできるかどうか不安なのですが…今回のUbuntuは長期サポート版。5年間使えれば十分ですね。インストールしてみようかな。
10:35 pm | コメントする |

カテゴリー » Linux » Ubuntu April 29, 2012

nautilus-gksuが無くなったのを何とかする (Ubuntu 12.04) Ubuntu

ファイルマネージャーの右クリックに「管理者として開く」を追加する nautilus-gksu が消えたので、代替策を考えてみました。

Nautilus-Pythonで機能を拡張する方法
$ sudo add-apt-repository ppa:nae-team/ppa
$ sudo apt-get update && sudo apt-get install nautilus-open-as-root
$ nautilus -q (または一度ログアウト)
これで右クリックメニューに「Open As Root」が追加されます。
Nautilusのスクリプト機能を使う方法
「$HOME/.gnome2/nautilus-scripts/管理者として開く」という名前のファイルを作成し、下の内容で保存、実行属性を付けます。
#!/bin/sh
# 昔は $NAUTILUS_SCRIPT_* じゃないと正確なパスが取れなかったが、
# 今は大丈夫っぽい。
exec gksudo -m "管理者権限で開きます" gvfs-open "$1"
メニューにスクリプトが出現するはず。
Nautilus-Actionsを使う方法
ソフトウェアセンターで nautilus-actions をインストールしてゴニョゴニョ。
01:38 am

上の記事に対するコメントです

1. johnyuan2000 (Website)  2012/04/30 12:32
ありがとうございます。
nautilus-open-as-root
うまく動いてます。11.10に戻ろうかとおもっていたところでした。

2. Owner CommentSawa  2012/04/30 23:19
>11.10に戻ろうかとおもっていたところでした
おぉ、その前に方法が見つかって良かったですね。
確かに gksu があると無いとでは効率が段違い。

3. papan (Website)  2012/05/03 00:04
私もどうしようか困っていたので助かりました。
Ubuntu11.10からgksuの利用は想定外みたいになってしまったんですよね・・・。

4. KAHN (Website)  2012/05/05 03:50
右クリックメニューに「Open As Root」が追加され使用できるように成りました。
有難う御座いました。

5. papan (Website)  2012/05/15 00:00
管理者権限を使いたいときだけMarlinファイルマネージャでもいいかも。

コメントする |

カテゴリー » Linux » Ubuntu April 27, 2012

Ubuntu 12.04 LTS向けの野良リポジトリを作ってみた Ubuntu

少しdebパッケージを作りました → IKOINOBA repository
リポジトリを登録しても、Ubuntuソフトウェアセンターにすぐには反映されません(最大24時間かかる?)。待てない人は手動で更新してください。
$ sudo apt-get update
$ sudo update-apt-xapian-index -u
パッケージの簡単な説明
ゲームパッドにキーボード・マウスの入力を割り当てます。Unity上では使えない。画像を綺麗に拡大。ハードリンクによる差分バックアップコマンドです。ruby1.9で動かなかったので、ruby 1.9.2-p0に対応させてみたの修正を加えています(パッチ作成ありがとうございます)。pdumpfsの代わりに rsync --link-dest を利用してもいいんだけどね。壁紙チェンジャーワークスペース毎に壁紙を変更。Unity上では使えない。GIMP(xcf)・Photoshop(psd)の画像を表示できるようにします。画像ビューア(Eye of GNOME)への関連付け設定も入れました。GNOME・Unity以外の人にとっては余計な世話。画面の明るさ/ガンマ値を変えます。Chromium派生のWebブラウザ。SCIMをGTK3に対応させます。まあその、デフォルトのiBusを使ったほうがいいと思うよ。openSUSE Build Serviceの領域をマウント。俺得。英辞郎検索ツール by Ruby。古いのでlocaleをEUC-JPにしないと文字化けします。俺得。
Ubuntuに元からあるパッケージを置き換えるもの
Google日本語入力のオープンソース版。最新バージョンを追いかけるつもり。Ubuntu標準の日本語入力システム「Anthy」の改良版。動作が軽いので、Mozcが重いと感じる場合はこちらの方がいいかもしれない。2ちゃんねるブラウザ。--with-migemo 付きでビルドしています。最新版を適当に放り込むつもり。p7zipがある状態でもファイル名が文字化けしないようにしました。lzhの解凍に失敗することがあるのを修正。
今回から無くなったパッケージ
SMPlayerにYoutube再生機能を追加した動画プレイヤーなのですが、少し前に本家にも同じ機能が付きました。smplayerの最新版は ppa:rvm/smplayer からインストールできます。Ubuntuのリポジトリに収録されるようになりました。次のMintはCinnamonというデスクトップに移行するらしい。
≪追記≫
最初に「登録してもすぐには反映されません」と書きましたが、ソフトウェアセンターの「ソフトウェアソース」からリポジトリを追加した場合は早く反映される?
12:40 am

上の記事に対するコメントです

1. またまた∞帰ってきた某所の匿名  2012/04/27 10:17
乙です
あれから状況が変わって、CinnamonやMATEは公式ページに導入の仕方が書いてあるので、そちらを導入された方がよろしいかと思われます(Mintの環境にしたいならMint入れろよってわけで)

Cinnamon
http://cinnamon.linuxmint.com/
https://launchpad.net/~gwendal-lebihan-dev/+archive/cinnamon-stable

MATE
http://mate-desktop.org/
http://mate-desktop.org/install/#ubuntu

Cinnamonは一部ツール(Ubuntu Tweak)や、紹介サイトでは上記と異なるリポジトリだったりしますが
cinnamon公式的には上記リポジトリの様です

でもこれ入れるんだったら、Gnome Classicの方がいいかな?

2. Owner CommentSawa  2012/04/29 01:40
MATE公式でパッケージを用意するようになったんですね。

今度Cinnamonをインストールしてみようと思います。

3. masahiro  2012/05/01 12:32
こんにちは。早速、MOZCを利用させていただいております。
Ubuntu12.04β版から使用していたので、正式版が出ても
なんとなく、新鮮味がありませんでした。
 
 それで、今回はディストップ画面がカコイイと思っておりまし
たUbuntu Studioを入れてみました。今のところ順調に動いて
おります。
 
 ただ、グラフィクボードHD7770を使用しているPCだけがは画面
がよく変になります。多分、ATIドライバーの問題かとドライバー
がバージョンアップしてら改善するだろうと辛抱して少し使う予定
です。
 

4. Owner CommentSawa  2012/05/02 23:54
RadeonのHD 7000シリーズは出来立てほやほやで、Linuxで使うの大変そうですね。

5. Jimmy 平次  2012/05/05 15:53
10.04@64bitで憩いの場さんのリポジトリを使わせてもらってます(ModifiedAnthyとJD)、ありがとうございます。
最近Synapticやアップデートマネージャーで、anthy-commonがアップデートになるけど、これをしたらscim-anthyが削除されることになります。
自分はscim-anthyを使っているのでアップデートせずに、anthy-commonはバージョン固定にした方がいいのでしょうか?
他に、firefox(11.0)とcairo-dock(2.4)をバージョン固定しています。

コメントする |

カテゴリー » Linux April 24, 2012

憩いの場のcmigemo・jdをインストールしていると、アップデートでエラーになる Linux

IKOINOBA repositoryのcmigemo・jdをインストールしていると、アップデートマネージャーが下のような文句を言ってくると思います。
パッケージシステムが壊れています。
サードパーティのリポジトリを使用しているかどうかを確認してください。
利用している場合、トラブルの原因になる場合があるので無効にしてください。
そのうえで端末から次のコマンドを実行してください: apt-get install -f
apt-getだと
$ sudo apt-get dist-upgrade
dpkg: /var/cache/apt/archives/cmigemo-common_20110227-0.1~ppa4_all.deb の処理中にエラーが発生しました (--unpack):
'/usr/share/cmigemo/utf-8/roma2hira.dat' を上書きしようとしています。これはパッケージ cmigemo 1.3-0.6e~ppa4 にも存在します
以下のパッケージの処理中にエラーが発生しました:
/var/cache/apt/archives/cmigemo-common_20110227-0.1~ppa4_all.deb
これを直すには、端末で下のコマンドを実行してください
$ sudo apt-get install -f
えーとですね、Ubuntu 12.04(Debian Wheezy)から公式リポジトリでcmigemoが用意されています。喜ばしいことなのですが、憩いの場と名前の付け方が違うんですよね。このままだとOSのアップグレード時に依存関係の齟齬が発生するかもしれないので、cmigemoの野良パッケージを公式準拠に変更しました。放っておいても大丈夫っぽいけど、念のため。

上のエラーは、その入れ替えのエラーです。

すんなりと名前を変えられる方法を知りたいなあ。debian/control で「Conflicts」「Replaces」を指定しても駄目だった。「Pre-Depends」を付けると依存関係のループになるし。
04:18 pm

上の記事に対するコメントです

1. またまた∞帰ってきた某所の匿名  2012/04/24 18:58
前回のJDもそうだったけど、改訂版出す前から問題なかったですぜ?
今回のは、アップグレード時の問題かな?
おいらはいつも、アップグレードはせず、/homeを残して新規インストールするので問題なしです。
12.04用にはcmigemoは用意してないんですよね?

2. Owner CommentSawa  2012/04/24 22:13
>今回のは、アップグレード時の問題かな?
>12.04用にはcmigemoは用意してないんですよね?
そうですそうです。「アップグレード」する時に、『憩いの場のcmigemo』から『Ubuntuのcmigemo』に移行できるかどうか心配だったんです。
エラーが出るなら「アップグレード」よりも「アップデート」の時の方がいいかなぁ、と、、、

でもたぶん、そのままでもいけたと思います(依存関係が合わないのは自動で削除される?)

>前回のJDもそうだったけど
あら、私が試したときは起動すらしなかったんですが。
なんにせよケアレスミスがあったので

コメントする |

カテゴリー » Linux » ソフト紹介 April 22, 2012

RarCrack! - zip、rar、7zのパスワードを解析 Linux

http://rarcrack.sourceforge.net/

暗号化された書庫ファイルのパスワード解析ツールです。
インストール方法は、Ubuntu 12.04ならば
$ sudo add-apt-repository ppa:ole.wolf/rarcrack
$ sudo apt-get install rarcrack
(debを直接インストールすればUbuntu 11.10でも使えました)
使い方は
$ rarcrack hoge.zip --threads 2 --type zip
(hoge.xmlに結果が保存されて、途中で止めても前回の続きから再開できる)
0からの総当たり検査しかできないようです。
zip専用のFCrackZipという解析ツールもあります。RarCrackより多機能なので、zipの場合はこちらを使ったほうがいい。
11:58 pm

上の記事に対するコメントです

1. ciel  2012/04/23 04:19
とりあえず
deb http://ppa.launchpad.net/ole.wolf/rarcrack/ubuntu precise main
を加えたらDebian wheezyにも入れられました。。

2. Owner Commentsawa  2012/04/24 17:17
DebianでUbuntuの ppa.launchpad.net を使うの、何か怖い…

コメントする |

累計:1797646、今日:123、昨日:3476
Created in 0.0157 sec.